## org.apache.commons.collections.iterators
Class UnmodifiableMapIterator

    java.lang.Object
      org.apache.commons.collections.iterators.UnmodifiableMapIterator

All Implemented Interfaces:
  Iterator, MapIterator, Unmodifiable

public final class UnmodifiableMapIterator
extends Object
implements MapIterator, Unmodifiable

Decorates a map iterator such that it cannot be modified.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.7 $ $Date: 2004/02/18 00:59:50 $
Author:
  Stephen Colebourne

Method Summary
`static MapIterator` `decorate(MapIterator iterator)` Decorates the specified iterator such that it cannot be modified.
`Object` `getKey()` Gets the current key, which is the key returned by the last call to `next()`.
`Object` `getValue()` Gets the current value, which is the value associated with the last key returned by `next()`.
`boolean` `hasNext()` Checks to see if there are more entries still to be iterated.
`Object` `next()` Gets the next key from the `Map`.
`void` `remove()` Removes the last returned key from the underlying `Map` (optional operation).
`Object` `setValue(Object value)` Sets the value associated with the current key (optional operation).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### decorate

    public static MapIterator decorate(MapIterator iterator)

  Decorates the specified iterator such that it cannot be modified.

  Parameters:
    `iterator` - the iterator to decorate
  Throws:
    `IllegalArgumentException` - if the iterator is null

### hasNext

    public boolean hasNext()

  Description copied from interface: `MapIterator`
  Checks to see if there are more entries still to be iterated.

  Specified by:
    `hasNext` in interface `MapIterator`
  Returns:
    `true` if the iterator has more elements

### next

    public Object next()

  Description copied from interface: `MapIterator`
  Gets the next key from the `Map`.

  Specified by:
    `next` in interface `MapIterator`
  Returns:
    the next key in the iteration

### getKey

    public Object getKey()

  Description copied from interface: `MapIterator`
  Gets the current key, which is the key returned by the last call to `next()`.

  Specified by:
    `getKey` in interface `MapIterator`
  Returns:
    the current key

### getValue

    public Object getValue()

  Description copied from interface: `MapIterator`
  Gets the current value, which is the value associated with the last key returned by `next()`.

  Specified by:
    `getValue` in interface `MapIterator`
  Returns:
    the current value

### setValue

    public Object setValue(Object value)

  Description copied from interface: `MapIterator`
  Sets the value associated with the current key (optional operation).

  Specified by:
    `setValue` in interface `MapIterator`
  Parameters:
    `value` - the new value
  Returns:
    the previous value

### remove

    public void remove()

  Description copied from interface: `MapIterator`
  Removes the last returned key from the underlying `Map` (optional operation).

  This method can be called once per call to `next()`.

  Specified by:
    `remove` in interface `MapIterator`

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.